cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles

## Class MFK_M01_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles.MFK_M01_Common

- Direct Known Subclasses:
    MFK_M02, MFK_M04, MFK_M05, MFK_M06, MFK_M07, MFK_M08, MFK_M09, MFK_M10, MFK_M11, MFK_M12, MFK_M13, MFK_M14, MFK_M15, MFK_M16, MFK_M17, MFK_M18

      public abstract class MFK_M01_Common
      extends Message

  MFK_M01_Common - Master File Application Acknowledgment(Event M02,04,05,06,07,08,09,10,11,12,13,14,15,16,17).

  Represents a MFK_M01 message structure (see chapter 8.4.1). This structure contains the following elements:

  0: MSH (Message Header segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  4: ERR (Error Segment) MULTIPLE_OPTIONAL
  5: MFI (Master File Identification Segment) SINGLE_COMPULSARY
  6: MFA (Master File Acknowledgment Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorSegment(ERR objERR)` Adds Error Segment(ERR) to this message.
    `void` | `addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)` Adds collection of Error Segment(ERR) to this message.
    `void` | `addMasterFileACKSegment(MFA objMFA)` Adds Master File ACK Segment(MFA) to this message.
    `void` | `addMasterFileACKSegments(ISingleCollection<MFA> objMFASegments)` Adds collection of Master File ACK Segment(MFA) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<ERR>` | `getErrorSegments()` Retrieves Collection of Error Segments(ERR) present in this message.
    `ISingleCollection<MFA>` | `getMasterFileACKSegments()` Retrieves Collection of Master File ACK segment(MFA) present in this message.
    `MFI` | `getMasterFileIdentificationSegment()` Retrieves Master File Identification (MFI) segment present in this message
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setMasterFileIdentificationSegment(MFI objMFI)` Sets value of Master File Identification segment for this message,overwrites if already present.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getErrorSegments

          public ISingleCollection<ERR> getErrorSegments()

      Retrieves Collection of Error Segments(ERR) present in this message.
      Returns:
        ISingleCollection - Collection of Error Segments(ERR) present in this message.

    - #### addErrorSegment

          public void addErrorSegment(ERR objERR)

      Adds Error Segment(ERR) to this message.
      Parameters:
        `objERR` - Specified Error Segment(ERR)to this message.

    - #### addErrorSegments

          public void addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)

      Adds collection of Error Segment(ERR) to this message.
      Parameters:
        `objERRSegmentCollection` - Collection of Software Segments to add in this message

    - #### getMasterFileIdentificationSegment

          public MFI getMasterFileIdentificationSegment()

      Retrieves Master File Identification (MFI) segment present in this message
      Returns:
        MFI - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMasterFileIdentificationSegment

          public void setMasterFileIdentificationSegment(MFI objMFI)

      Sets value of Master File Identification segment for this message,overwrites if already present.
      Parameters:
        `objMFI` - Specified Master File Identification Segment

    - #### getMasterFileACKSegments

          public ISingleCollection<MFA> getMasterFileACKSegments()

      Retrieves Collection of Master File ACK segment(MFA) present in this message.
      Returns:
        ISingleCollection - Collection of Master File ACK Segments(MFA) present in this message.

    - #### addMasterFileACKSegment

          public void addMasterFileACKSegment(MFA objMFA)

      Adds Master File ACK Segment(MFA) to this message.
      Parameters:
        `objMFA` - Specified Master File ACK Segment(MFA)to this message.

    - #### addMasterFileACKSegments

          public void addMasterFileACKSegments(ISingleCollection<MFA> objMFASegments)

      Adds collection of Master File ACK Segment(MFA) to this message.
      Parameters:
        `objMFASegments` - Collection of Master File ACK Segments to add in this message